GXml.DomElement.set_attribute_ns – GXml-0.20 Reference Manual

# set_attribute_ns

## Description:

public abstract void set_attribute_ns (string? @namespace, string name, string value) throws Error

Set an attribute value to this element. If it doesn't exists yet, it is added to the list of attributes, unless it is an namespace redefinition.

To set a namespace declaration http://www.w3.org/2000/xmlns namespace and xmlns as prefix. For default namespaces, use xmlns as name without prefix. Namespace URI will be the one provided as value.

## Parameters:

name | a prefixed attribute name or xmlns for default namespace declaration
value | a value for the attribute or URI for namespace declaration